Description: Rename icons like desktop file
 Icons installed have the name "phasex-icon.png" which doesn't match the
 desktop file ("phasex") and is not picked up by AppStream generator.
Author: Gabor Karsay <gabor.karsay@gmx.at>
Origin: other
Forwarded: no
Last-Update: 2018-07-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/pixmaps/Makefile.am
+++ b/pixmaps/Makefile.am
@@ -102,11 +102,10 @@
 
 install-icons:
 	@for icon in $(icon_files); do \
-		NAME=`echo $$icon | cut -f 1-2 -d '-'` \
 		EXTENSION=`echo $$icon | cut -f 2 -d '.'` \
 		SIZE=`echo $$icon | cut -f 3 -d '-' | cut -f 1 -d '.'`; \
 		mkdir -p $(DESTDIR)$(datadir)/icons/hicolor/$$SIZE/apps; \
-		$(INSTALL_DATA) $(srcdir)/$$icon $(DESTDIR)$(datadir)/icons/hicolor/$$SIZE/apps/$$NAME.$$EXTENSION; \
+		$(INSTALL_DATA) $(srcdir)/$$icon $(DESTDIR)$(datadir)/icons/hicolor/$$SIZE/apps/phasex.$$EXTENSION; \
 	done; \
 	$(INSTALL_DATA) $(srcdir)/phasex-icon-256x256.png $(DESTDIR)$(datadir)/pixmaps/$(default_icon_file); \
 	$(INSTALL_DATA) $(srcdir)/phasex-icon-256x256.png $(DESTDIR)$(pkgdatadir)/pixmaps/$(default_icon_file)
@@ -114,10 +113,9 @@
 
 uninstall-icons:
 	@for icon in $(icon_files); do \
-		NAME=`echo $$icon | cut -f 1-2 -d '-'` \
 		EXTENSION=`echo $$icon | cut -f 2 -d '.'` \
 		SIZE=`echo $$icon | cut -f 3 -d '-' | cut -f 1 -d '.'`; \
-		rm -f $(DESTDIR)$(datadir)/icons/hicolor/$$SIZE/apps/$$NAME.$$EXTENSION; \
+		rm -f $(DESTDIR)$(datadir)/icons/hicolor/$$SIZE/apps/phasex.$$EXTENSION; \
 	done;
 
 
